Subject: Re: A New Triple-DES Key Wrap Algorithm

From: [email-masked] (Peter Gutmann)
Date: Sat, 20 Feb 1999 16:44:49 (NZDT)

Russ Housley <[email-masked]> wrote:
 
>4.  Encrypt CEKICV in CBC mode using the key-encryption key.  Use
>    an IV of 0xc302e3c1ad8bb738.
 
>6.  Encrypt TEMP in CBC mode using the key-encryption key.  Use
>    an IV of 0x61a197e5b132e196.  The ciphertext is 32 octets long.
 
Could you provide a source for the values used for the IV's in the text?  
Cryptographers get somewhat nervous about seeing magic numbers by themselves
in specs.
 
Peter.

---

From: Russ Housley <[email-masked]>
Date: Fri, 26 Feb 1999 13:07:02 -0500

Peter:

I have a pseudo-random number generator that I am working on for a
different project.  I put a 0x484848...484848 seed into it and generated
the IVs.  Since no one has ever looked at that design I will get some new
ones from a better source.

We have hardware device that includes a random number generator.  I will
ask that device for some random numbers.

Russ